Dashboard

Search institutional holders

GET/api/ownership/institutional-holders/search

Stock Pro

Search for institutional investment managers by name. Returns matching manager names and CIKs. Use the returned managerCik with /api/ownership/portfolio to view their full holdings.

Get API key Try it live in the API explorer

Query parameters

Example request

curl 'https://api.stockfit.io/v1/api/ownership/institutional-holders/search?query=blackrock' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'

Responses

200 OK

List of matching institutional managers

Response schema

array of:
  • managerName string

    Full name of the institutional manager

  • managerCik integer

    CIK of the manager (use with /api/ownership/portfolio)

Example response

[
  {
    "managerName": "BLACKROCK INC.",
    "managerCik": 2012383
  }
]

400 Bad Request

Invalid parameters

Response schema

  • error string

    Human-readable error message

Example response

{}

403 Forbidden

Feature not available on current plan

Response schema

  • error string

    Human-readable error message

Example response

{}